DISPDATA_REGISTER_DATAOBJECT_DESTROY_FUNC(3)

EXPERIMENTAL_FUNC
dispdata_register_dataobject_destroy_func - Register a function to be called when a dataobject is destroyed.

SYNOPSIS
#include <karma_dispdata.h>

KCallbackFunc dispdata_register_dataobject_destroy_func

(KDisplayDataObject dataobject, void (*func) (void *info), void *info)

DESCRIPTION
Register a function to be called when a dataobject is destroyed.

dataobject
    The dataobject for which the callback function is registered.

func
    The function that is called when the dataobject is destroyed.

info
    An arbitrary information pointer passed to <<func>>.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/